:root {

  --primary-text: #292A30;
  --secondary-text: #5F6B7A;
  --disabled-text: #9AA5B1;
  --element-hover: #7C8B9F;
  --element-active: #42536A;
  --element-disabled: #E9EEF5;
  --primary-error-text: #C53030;

  --cype-red: #EE3B48;
  --cype-red-dark: #FA5E69;

  --cype-shadow: 0px 4px 12px 0px rgba(12, 27, 51, 0.08);
  --cype-shadow-nav: 0px 1px 4px 0px rgba(12, 27, 51, 0.06);

  --bs-form-invalid-border-color: var(--primary-error-text);
  --bs-form-invalid-color: var(--primary-error-text);
  --bs-danger-rgb: 197, 48, 48;
  --bs-success-rgb: 46, 125, 91;
  --bs-warning-rgb: 183, 121, 31;

  --bs-alert-color: var(--primary-text);
  --bs-warning-text-emphasis: var(--primary-text);
}

body {
  background-color: #F0F3F8;
  font-family: 'Plus Jakarta Sans', sans-serif;
  color: var(--cype-zinc);
  min-height: 100vh;
}

body,
html {
  height: 100%;
}

hr {
  color: #E5EAF0;
  opacity: 1;
}

/* --- COMPONENTS --- */

.h4-1 {
  font-size: 1.125rem;
}

@media (max-width: 576px) {
  .h4-1 {
      font-size: 1rem; 
  }
}

.fs-8 {
  font-size: 0.75rem !important;
}

.fs-7 {
  font-size: 0.875rem !important;
}

.primary-text {
  color: var(--primary-text);
}

.secondary-text {
  color: var(--secondary-text);
}

.disabled-text {
  color: var(--disabled-text);
}

.cype-text {
  color: var(--cype-red);
}

.element-hover-text {
  color: var(--element-hover);
}

.g-4-1,
.gy-4-1 {
  --bs-gutter-y: 2rem;
}

.g-4-1,
.gx-4-1 {
  --bs-gutter-x: 2rem;
}

.m-4-1 {
  margin: 2rem;
}

.mt-4-1 {
  margin-top: 2rem;
}

.mb-4-1 {
  margin-bottom: 2rem;
}

.p-4-1 {
  padding: 2rem;
}

.px-4-1 {
  padding-right: 2rem;
  padding-left: 2rem;
}

.p-7 {
  padding: 5rem;
}

.py-7 {
  padding-top: 5rem;
  padding-bottom: 5rem;
}

.px-7 {
  padding-right: 5rem;
  padding-left: 5rem;
}

@media (min-width:768px) {

  .mb-md-4-1 {
    margin-bottom: 2rem !important
  }

  .px-md-7 {
    padding-right: 5rem !important;
    padding-left: 5rem !important;
  }

  .py-md-7 {
    padding-top: 5rem !important;
    padding-bottom: 5rem !important;
  }

  .login-card {
    padding: 40px 64px;
  }
}

/* --- NAVBAR --- */
.nav-top-stripe {
  height: 8px;
  background-color: var(--cype-red);
  border-radius: 20px 20px 0 0;
  width: 100%;
}

.nav-main {
  background: white;
  height: 80px;
  border-radius: 0 0 20px 20px;
  box-shadow: var(--cype-shadow-nav);
  padding: 0 32px;
}

/* --- CARDS --- */
.cype-card {
  background: white;
  border-radius: 20px;
  border: none;
  transition: all 0.3s ease;
}

.platform-card {
  outline: 2px solid #D6DCE5;
  cursor: pointer;
}

.platform-card:hover {
  outline: 2px solid var(--cype-red);
  box-shadow: 0px 8px 20px rgba(239, 68, 68, 0.1);
}

.arrow-icon {
  color: var(--secondary-text);
  transition: color 0.3s ease, transform 0.3s ease;
}

.platform-card:hover .arrow-icon,
.platform-card:focus .arrow-icon {
  color: var(--cype-red) !important;
  transform: translate(2px, -2px);
}

.cype-shadow {
  box-shadow: var(--cype-shadow);
}

/* --- SIDEBAR --- */
.sidebar-link {
  position: relative;
  text-decoration: none;
  color: var(--primary-text);
  padding: 8px 16px;
  border-radius: 20px;
  display: flex;
  align-items: center;
  gap: 10px;
  transition: background-color 0.2s ease, color 0.2s ease;
  min-width: 0;
  overflow: hidden;
}

.sidebar-link .material-symbols-rounded {
  flex-shrink: 0;
  color: var(--secondary-text);
}

.active-indicator {
  width: 3px;
  height: 16px;
  background-color: var(--cype-red);
  border-radius: 4px;
  display: none;
  flex-shrink: 0;
}

.sidebar-link.active .active-indicator {
  display: block;
}

.sidebar-link.active {
  color: var(--cype-red) !important;
}

.sidebar-link.active .material-symbols-rounded {
  color: var(--cype-red) !important;
  font-variation-settings: 'FILL' 1;
}

.sidebar-link:hover {
  color: var(--cype-red) !important;
}

.sidebar-link:hover .material-symbols-rounded {
  color: var(--cype-red) !important;
}

/* --- FORMS --- */

.form-control-custom {
  background-color: #F0F3F8;
  border: solid 2px #F0F3F8;
  border-radius: 200px;
  padding: 0.5rem 2.5rem 0.5rem 1rem;
  font-size: 0.875rem;
}

.form-control-custom:focus {
  color: var(--primary-text);
  background-color: #F0F3F8;
  outline: 0;
  box-shadow: none;
  border: solid 2px #D6DCE5;
}

.form-control-custom::placeholder {
  color: var(--disabled-text);
}

.form-control.is-invalid,
.was-validated .form-control:invalid {
  background-color: #FDECEC !important;
  background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2217%22%20height%3D%2217%22%20viewBox%3D%220%200%2017%2017%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M8.33333%209.5L10.75%2011.9167C10.9028%2012.0694%2011.0972%2012.1458%2011.3333%2012.1458C11.5694%2012.1458%2011.7639%2012.0694%2011.9167%2011.9167C12.0694%2011.7639%2012.1458%2011.5694%2012.1458%2011.3333C12.1458%2011.0972%2012.0694%2010.9028%2011.9167%2010.75L9.5%208.33333L11.9167%205.91667C12.0694%205.76389%2012.1458%205.56944%2012.1458%205.33333C12.1458%205.09722%2012.0694%204.90278%2011.9167%204.75C11.7639%204.59722%2011.5694%204.52083%2011.3333%204.52083C11.0972%204.52083%2010.9028%204.59722%2010.75%204.75L8.33333%207.16667L5.91667%204.75C5.76389%204.59722%205.56944%204.52083%205.33333%204.52083C5.09722%204.52083%204.90278%204.59722%204.75%204.75C4.59722%204.90278%204.52083%205.09722%204.52083%205.33333C4.52083%205.56944%204.59722%205.76389%204.75%205.91667L7.16667%208.33333L4.75%2010.75C4.59722%2010.9028%204.52083%2011.0972%204.52083%2011.3333C4.52083%2011.5694%204.59722%2011.7639%204.75%2011.9167C4.90278%2012.0694%205.09722%2012.1458%205.33333%2012.1458C5.56944%2012.1458%205.76389%2012.0694%205.91667%2011.9167L8.33333%209.5ZM8.33333%2016.6667C7.18056%2016.6667%206.09722%2016.4479%205.08333%2016.0104C4.06944%2015.5729%203.1875%2014.9792%202.4375%2014.2292C1.6875%2013.4792%201.09375%2012.5972%200.65625%2011.5833C0.21875%2010.5694%200%209.48611%200%208.33333C0%207.18056%200.21875%206.09722%200.65625%205.08333C1.09375%204.06944%201.6875%203.1875%202.4375%202.4375C3.1875%201.6875%204.06944%201.09375%205.08333%200.65625C6.09722%200.21875%207.18056%200%208.33333%200C9.48611%200%2010.5694%200.21875%2011.5833%200.65625C12.5972%201.09375%2013.4792%201.6875%2014.2292%202.4375C14.9792%203.1875%2015.5729%204.06944%2016.0104%205.08333C16.4479%206.09722%2016.6667%207.18056%2016.6667%208.33333C16.6667%209.48611%2016.4479%2010.5694%2016.0104%2011.5833C15.5729%2012.5972%2014.9792%2013.4792%2014.2292%2014.2292C13.4792%2014.9792%2012.5972%2015.5729%2011.5833%2016.0104C10.5694%2016.4479%209.48611%2016.6667%208.33333%2016.6667Z%22%20fill%3D%22%23C53030%22%2F%3E%3C%2Fsvg%3E");
}

.form-control.is-invalid:focus,
.was-validated .form-control:invalid:focus {
  box-shadow: none !important;
}

.form-check-input.cype:checked {
  background-color: var(--cype-red);
  border-color: var(--cype-red);
}

.form-check-input.cype:focus {
  box-shadow: none;
}

.invalid-feedback {
  font-size: .75em !important;
}

/* --- BUTTONS --- */

.btn-cype {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--cype-red);
  --bs-btn-hover-bg: var(--cype-red-dark);
  --bs-btn-hover-color: #fff;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--cype-red-dark);
  --bs-btn-border-width: 0;
}

.btn-cype.disabled,
.btn-cype:disabled {
  color: #fff;
  background-color: #FDE2E4;
  opacity: 1;
}

.btn-cype-dark {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--element-active);
  --bs-btn-hover-bg: var(--element-hover);
  --bs-btn-hover-color: #fff;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--element-hover);
  --bs-btn-border-color: #fff;
  --bs-btn-active-border-color: #fff;
  --bs-btn-hover-border-color: #fff;
  --bs-btn-border-width: 0;
}

.btn-cype-dark.disabled, .btn-cype-dark:disabled {
  color: #fff;
  background-color: #E9EEF5;
  opacity: 1;
}

.btn-outline-cype {
  --bs-btn-color: var(--cype-red);
  --bs-btn-border-color: var(--cype-red);
  --bs-btn-hover-color: var(--cype-red);
  --bs-btn-hover-bg: rgba(238, 59, 72, 0.15);
  --bs-btn-hover-border-color: var(--cype-red);
  --bs-btn-focus-shadow-rgb: 220, 53, 69;
  --bs-btn-active-color: var(--cype-red);
  --bs-btn-active-bg: rgba(238, 59, 72, 0.15);
  --bs-btn-active-border-color: var(--cype-red);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: var(--cype-red);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--cype-red);
  --bs-gradient: none
}

.btn-outline-cype-dark {
  --bs-btn-color: var(--element-active);
  --bs-btn-border-color: var(--element-active);
  --bs-btn-hover-color: var(--element-active);
  --bs-btn-hover-bg: var(--element-disabled);
  --bs-btn-hover-border-color: var(--element-active);
  --bs-btn-focus-shadow-rgb: 220, 53, 69;
  --bs-btn-active-color: var(--element-active);
  --bs-btn-active-bg: var(--element-disabled);
  --bs-btn-active-border-color: var(--element-active);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: var(--element-active);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--element-active);
  --bs-gradient: none
}

.btn-cype-secondary {
  --bs-btn-color: var(--secondary-text);
  --bs-btn-bg: rgba(233, 238, 245, 1);
  --bs-btn-hover-bg: rgba(214, 220, 229, 1);
  --bs-btn-hover-color: var(--secondary-text);
  --bs-btn-active-color: var(--secondary-text);
  --bs-btn-active-bg: rgba(214, 220, 229, 1);
  --bs-btn-border-width: 0;
}

.btn-google {
  --bs-btn-color: var(--primary-text);
  --bs-btn-bg: #fff;
  --bs-btn-hover-bg: #E9EEF5;
  --bs-btn-hover-color: var(--primary-text);
  --bs-btn-active-color: var(--primary-text);
  --bs-btn-active-bg: #E9EEF5;
  --bs-btn-border-width: 0;
}

.password-container {
  position: relative;
  width: 100%;
}

.password-container .form-control-custom {
  padding-right: 3rem !important;
}

.password-container .form-control.is-invalid {
  background-image: none !important;
}

.btn {
  --bs-btn-padding-x: 1rem;
  --bs-btn-padding-y: 0.5rem;
  --bs-btn-border-radius: 20px;
  --bs-btn-font-size: 0.875rem !important;
  --bs-btn-line-height: 1rem;
}

.btn-group-sm>.btn,
.btn-sm {
  --bs-btn-font-size: 0.75rem !important;
  --bs-btn-padding-x: 0.5rem !important;
  --bs-btn-padding-y: 0.25rem !important;
}

.btn-toggle-password {
  position: absolute;
  right: 1rem;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
  padding: 0;
  color: var(--primary-text);
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: color 0.2s;
}

.btn-toggle-password .material-symbols-rounded {
  font-size: 1rem;
}

.btn-close:focus {
  box-shadow: none;
}

/* --- INTL-TEL-INPUT --- */
.iti {
  width: 100%;
}

.iti--allow-dropdown .iti__country-container:not(:has(+ input[disabled])):not(:has(+ input[readonly])) .iti__selected-country-primary:hover,
.iti--allow-dropdown .iti__country-container:not(:has(+ input[disabled])):not(:has(+ input[readonly])) .iti__selected-country:has(+ .iti__dropdown-content:hover) .iti__selected-country-primary {
  border-top-left-radius: 200px;
  border-bottom-left-radius: 200px;
  background-color: transparent !important;
}

.iti--inline-dropdown .iti__dropdown-content {
  background-color: #F0F3F8 !important;
  border: none !important;
  border-radius: 20px !important;
  margin-top: 10px !important;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1) !important;
  overflow-x: hidden;
  padding: 10px 0 !important;
  z-index: 1051 !important;
}

.iti__country {
  padding: 10px 20px !important;
  font-size: 0.875rem !important;
  color: #495057 !important;
  transition: background-color 0.2s;
}

.iti__country:hover,
.iti__country.iti__highlight {
  background-color: #e2e7ef !important;
  color: #212529 !important;
}

.iti__country.iti__active {
  background-color: #d1d9e6 !important;
  color: #000 !important;
}

.iti__divider {
  border-bottom: 1px solid #d1d9e6 !important;
  margin-bottom: 5px !important;
}

.iti__search-input {
  background-color: #ffffff !important;
  border: 1px solid #d1d9e6 !important;
  border-radius: 200px !important;
  margin: 10px 15px !important;
  padding: 6px 15px !important;
  font-size: 0.85rem !important;
  width: calc(100% - 30px) !important;
  outline: none !important;
  color: #495057 !important;
}

.iti__search-input::placeholder {
  color: #adb5bd;
  font-size: 0.8rem;
}

.iti__search-input:focus {
  border-color: #dee2e6 !important;
  box-shadow: none !important;
}

.iti__country-list {
  padding-top: 0 !important;
  overflow-y: auto !important;
}

/* --- SELECT2 --- */

.select2-container--default .select2-selection--single {
  background-color: #F0F3F8 !important;
  border: solid 2px #F0F3F8 !important;
  border-radius: 200px !important;
  height: calc(1.5em + 1rem + 4px) !important;
  padding: 0.5rem 1.2rem !important;
  font-size: 0.875rem !important;
  display: flex !important;
  align-items: center !important;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  position: relative !important;

  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e") !important;
  background-repeat: no-repeat !important;
  background-position: right 1.25rem center !important;
  background-size: 16px 12px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  display: none !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #495057 !important;
  padding: 0 !important;
  line-height: inherit !important;
  width: 100% !important;
  text-align: left !important;
}

.select2-container--default .select2-dropdown {
  background-color: #F0F3F8 !important;
  border: none !important;
  border-radius: 20px !important;
  margin-top: 6px;
  overflow: hidden;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1) !important;
  z-index: 1051;
}

.select2-container--default .select2-results__option {
  padding: 0.6rem 1.5rem !important;
  font-size: 0.875rem;
  color: #495057;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color: #e2e7ef !important;
  color: #212529 !important;
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: #d1d9e6 !important;
}

.select2-container--default.select2-container--focus .select2-selection--single {
  outline: none !important;
  border-color: #d1d9e6 !important;
}

.select2-search--dropdown {
  padding: 10px 15px !important;
  background-color: #F0F3F8 !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
  background-color: #ffffff !important;
  border: 1px solid #d1d9e6 !important;
  border-radius: 200px !important;
  padding: 4px 15px !important;
  font-size: 0.85rem !important;
  outline: none !important;
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.05);
}

.select2-container--default .select2-search--dropdown .select2-search__field.form-control {
  margin: 0 !important;
  width: 100% !important;
}


/* --- MENÚ --- */

@media (max-width: 991.98px) {

  .offcanvas-lg {
    width: 320px !important;
    border-right: none !important;
  }

  .offcanvas-header .btn-close {
    padding: 1rem;
  }
}

@media (min-width: 992px) {

  .header-equalizer {
    display: flex;
    flex-direction: column;
    min-height: 120px;
  }
}

/* --- LOGIN --- */
.bg-login {
  background: url('/assets/images/backgrounds/jpg-bg-img-login.jpg') no-repeat center center fixed;
  /*background-color: var(--cype-red);*/
  background-size: cover;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  padding: 50px 20px;
}

.bg-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 40%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 100%);
  pointer-events: none;
}

#form-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.7);
  backdrop-filter: blur(2px);
  z-index: 10;
  display: none;
  flex-direction: column;
  gap: 10px;
}

.login-card {
  background: rgba(255, 255, 255, 0.65);
  backdrop-filter: blur(10.5px);
  -webkit-backdrop-filter: blur(10.5px);
  border-radius: 20px;
  border: 1px solid rgba(255, 255, 255, 1);
  max-width: 600px;
  width: 100%;
  z-index: 2;
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.1);
  position: relative;
  overflow: hidden;
}

.divider-container {
  display: flex;
  align-items: center;
  text-align: center;
  margin: 24px 0;
  color: #292A30;
  font-weight: 600;
}

.divider-container::before,
.divider-container::after {
  content: '';
  flex: 1;
  border-bottom: 1px solid white;
}

.divider-container:not(:empty)::before {
  margin-right: .5em;
}

.divider-container:not(:empty)::after {
  margin-left: .5em;
}

.products-header {
  display: flex;
  gap: 20px;
  align-items: center;
  margin-bottom: 20px;
  flex-wrap: wrap;
  justify-content: center;
  z-index: 2;
}

.product-logos {
  display: flex;
  gap: 25px;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

.product-item {
  display: flex;
  align-items: center;
  gap: 8px;
  color: white;
  font-size: 14px;
  font-weight: 600;
}

.mobile-icon {
  height: 29px;
  width: auto;
}

.desktop-logo {
  height: 25px;
  width: auto;
}

/* --- MODAL --- */
.modal-content {
  --bs-modal-border-radius: 2rem;
  --bs-modal-box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175);
  border: none;
}

.modal-content {
  --bs-modal-border-radius: 1.5rem;
  --bs-modal-border-width: 0;
  --bs-modal-box-shadow: 0 0.5rem 2rem rgba(0, 0, 0, 0.15);
  padding: 2rem;
}

.modal-header {
  border-bottom: none;
  padding: 0;
}

/* --- ALERTS --- */
.alert {
  --bs-alert-border-radius: 1.25rem;
  --bs-alert-padding-y: 0.75rem;
  --bs-alert-padding-x: 0.75rem;
  --bs-alert-margin-bottom: 2rem;
  --bs-alert-color: var(--primary-text);
  border: none;
}

.alert-warning {
  --bs-warning-bg-subtle: #FFF4E5;
  --bs-warning-rgb: 183, 121, 31;
}

.alert-danger {
  --bs-danger-bg-subtle: #FDECEC;
  --bs-danger-rgb: 197, 48, 48;
}


/* --- DROPDOWN --- */
.dropdown-menu {
  border-radius: 20px !important;
  margin-top: 25px !important;
  animation: dropdownFade 0.2s ease-out;
}

@keyframes dropdownFade {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.dropdown-platforms {
  min-width: 280px;
  max-width: 320px;
  margin-top: 32px !important;
}

.platform-item-mini {
  display: flex;
  align-items: center;
  gap: 12px;
  color: var(--primary-text);
  font-weight: 500;
  padding: 0;
}

.platform-item-mini img {
  width: 32px;
  height: 32px;
  object-fit: contain;
}

.platform-item-mini:hover,
.platform-item-mini:focus {
  background-color: transparent !important;
  color: var(--cype-red);
}

.platform-item-mini .material-symbols-rounded {
  color: var(--disabled-text);
}

.platform-item-mini:hover .material-symbols-rounded {
  color: var(--cype-red);
}

.dropdown-user {
  width: 380px;
}

/* --- CROPPER --- */

.modal-content-cropper {
  background: white;
  max-width: 500px;
  max-height: 500px;
}

.crop-container {
  position: relative;
  width: auto;
  height: 500px;
  overflow: hidden;
}

.preview-round-cropper .cropper-view-box {
  border-radius: 50%;
}

/* --- TOASTJS --- */
.jq-toast-single {
  border-radius: 20px !important;
  padding: 15px 20px !important;
  border: none !important;
  box-shadow: 0px 4px 12px 0px rgba(12, 27, 51, 0.08) !important;
  font-family: 'Plus Jakarta Sans', sans-serif !important;
  font-size: 14px;
}

.jq-toast-wrap {
  width: 320px;
  min-height: 60px;
  margin-right: 20px;
  margin-bottom: 20px;
}

@media (max-width: 576px) {
  .jq-toast-wrap {
    width: 90% !important;
    left: 5% !important;
    margin-left: 0 !important;
  }
}

/* PHONE VERIFY */

.phone-container {
  width: 100%;
}

.btn-verify-custom {
  position: absolute;
  right: 8px;
  z-index: 5;
  --bs-badge-font-weight: 500;
}

.iti__selected-country-primary {
  padding: 0 0.25rem 0 1rem !important;
}

.iti--allow-dropdown input.iti__tel-input,
.iti--allow-dropdown input.iti__tel-input[type=tel],
.iti--allow-dropdown input.iti__tel-input[type=text] {
  padding-left: 3.5rem !important;
  padding-right: 5rem;
}

.otp-input {
  width: 41px;
  height: 36px;
  text-align: center;
  outline: none;
  transition: all 0.2s;
  padding: 8px !important;
}

.otp-input::-webkit-inner-spin-button,
.otp-input::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.phone-container .form-control.is-invalid,
.otp-wrapper .form-control.is-invalid {
  background-image: none !important;
  color: var(--primary-error-text);
}

/* DROPDOWN LANG */

.language-header-top {
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 1050;
}

.btn-lang-top {
  color: #ffffff !important;
  background-color: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 50px;
  padding: 8px 18px;
  font-weight: 500;
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
}

.btn-lang-top:hover {
  background-color: rgba(255, 255, 255, 0.25);
  border-color: rgba(255, 255, 255, 0.5);
}

.language-header-top .dropdown-menu {
  display: none;
  position: absolute;
  top: 100% !important;
  right: 0 !important;
  left: auto !important;
  transform: none !important;
  margin-top: 10px !important;

  background: rgba(255, 255, 255, 0.65) !important;
  backdrop-filter: blur(10.5px);
  -webkit-backdrop-filter: blur(10.5px);
  border-radius: 20px;
  border: 1px solid rgba(255, 255, 255, 1);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.1);

  min-width: 240px;
  max-height: 230px;
  padding: 10px;
  
  overflow-y: auto;
  overflow-x: hidden;

  scrollbar-width: none;
  -ms-overflow-style: none;
}

.language-header-top .dropdown-menu::-webkit-scrollbar {
  display: none;
  width: 0 !important;
  height: 0 !important;
  background: transparent;
}

.language-header-top .dropdown-menu.show {
  display: block;
  animation: none !important;
}

.language-header-top .dropdown-item {
  border-radius: 20px;
  padding: 10px 15px;
  margin-bottom: 2px;
  color: #333;
  font-weight: 500;
  transition: all 0.2s ease;
}

.language-header-top .dropdown-item:hover,
.language-header-top .dropdown-item.active, 
.language-header-top .dropdown-item:active {
  background-color: rgba(255, 255, 255, 0.4);
  color: #000 !important;
}

@media (max-width: 576px) {
  .language-header-top {
      top: 10px;
      right: 10px;
  }

  .btn-lang-top {
      padding: 6px 12px;
  }
}